Qikberry API Docs
SMSWhatsapp Cloud API
RCS for BusinessVMNVerifyIntegrations
SMSWhatsapp Cloud API
RCS for BusinessVMNVerifyIntegrations
Qikberry.AI
App
  1. Interactive
  • Introduction
  • Catalog Messages
  • Payment Messages
  • Non-templates messages
    • Interactive
      • URL button
        POST
      • List buttons
        POST
      • Media carousel
        POST
      • Reply buttons
        POST
    • Address
      POST
    • Audio
      POST
    • Document
      POST
    • Contacts
      POST
    • Image
      POST
    • Location
      POST
    • Video
      POST
    • Text
      POST
  1. Interactive

Reply buttons

POST
https://rest.qikberry.ai/v1/whatsapp/messages

Interactive Reply Button Message#

An Interactive Reply Button Message allows businesses to send a message with clickable buttons. Customers can select an option by tapping a button instead of typing a reply.
Common use cases:
Confirmations
Feedback collection
Simple menu options
Customer responses
reply_btn_1_img.png
Reply Button
reply_btn_2_img.png
Reply Button
Reply Button Rules:
Supports up to 3 reply buttons.
Each button must have a unique title.
Customers can select only one option.
Buttons are displayed at the bottom of the message.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
The request was successfully accepted for processing. The response returns a confirmation message along with the unique message ID and the recipient's WhatsApp number.
Bodyapplication/json

🟠401Unauthorized
🟠400Bad Request
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://rest.qikberry.ai/v1/whatsapp/messages' \
--header 'x-phone-number: <WA_ID>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "to": "<USER_PHONE_NUMBER>",
    "type": "interactive",
    "interactive": {
        "type": "button",
        "header": {
            "type": "image",
            "image": {
                "link": "<IMAGE_URL>"
            }
        },
        "body": {
            "text": "Hi Pablo! Your gardening workshop is scheduled for 9am tomorrow. Use the buttons if you need to reschedule. Thank you!"
        },
        "footer": {
            "text": "Lucky Shrub: Your gateway to succulents!â„¢"
        },
        "action": {
            "buttons": [
                {
                    "type": "reply",
                    "reply": {
                        "id": "change-button",
                        "title": "Change"
                    }
                },
                {
                    "type": "reply",
                    "reply": {
                        "id": "cancel-button",
                        "title": "Cancel"
                    }
                }
            ]
        }
    }
}'
Response Response Example
200 - SUCCESS
{
    "message": "1 numbers accepted",
    "data": [
        {
            "messageId": "<MESSAGE_ID>",
            "mobile": "<USER_PHONE_NUMBER>"
        }
    ]
}
Modified at 2026-07-29 10:58:45
Previous
Media carousel
Next
Address
Built with